X2Go Bug report logs - #16
Fwd: [X2Go-Dev] Broken glyphs and icons after suspending a session

version graph

Package: x2goagent; Maintainer for x2goagent is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goagent is src:nx-libs.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Mon, 10 Sep 2012 11:51:21 UTC

Severity: normal

Tags: fixed, pending

Found in version 3.5.0.14

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, git-admin@x2go.org:
bug#16; Package x2goagent. (Mon, 10 Sep 2012 11:51:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New bug report received and forwarded. Copy sent to git-admin@x2go.org.

Your message specified a Severity: in the pseudo-header, but the severity value important was not recognised. The default severity normal is being used instead. The recognised values are: critical, grave, normal, minor, wishlist.

(Mon, 10 Sep 2012 11:51:21 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: Fwd: [X2Go-Dev] Broken glyphs and icons after suspending a session
Date: Mon, 10 Sep 2012 13:50:09 +0200
[Message part 1 (text/plain, inline)]
Package: x2goagent
Severity: important
Version: 3.5.0.14

Hi all,

putting this mail from x2go-dev mailing list into our new BTS to  
follow the progress on this issue.

Mike

----- Weitergeleitete Nachricht von x2go-dev@computerfreak.de -----
     Datum: Sat, 12 May 2012 00:10:11 +0200
       Von: Holger Hahn <x2go-dev@computerfreak.de>
Antwort an: x2go-dev@lists.berlios.de
   Betreff: [X2Go-Dev] Broken glyphs and icons after suspending a session
        An: x2go-dev@lists.berlios.de

Hello x2go dev team,

as I was looking for an alternative on NX nomachine, because it was
broken with the last Cairo 1.12 update, I found your x2go solution,
which is great.

So as it bases on the same libraries than the original nomachine, you
had the same issues - with rendering to undrawable objects, the whole
nxagent crashes because of SEGV.

With the patch of Jan (thanks to) you committed to the master branch
today, I compiled another nxagent. Actually it worked fine, but after
suspending and reconnecting to a session, some graphical objects get
broken...

All characters/fonts that has been rendered on the screen prior the
suspension, are gone. (See Screenshots the link below).
Creating new text by starting applications is ok, as long as the
characters has not been rendered in the session before.

I thought it might be problem with a kind of glyph cache of the X
session (ubuntu/x86 x2goclient). But I found one case, where
additionally to the text, all icons are gone also, which was with an
debian/x64 x2goclient... (Difference can be seen on screenshots)

Might it have to do something with the patch from today, that could
filter out to much rendering? Or is this issue known from somewhere else?

Here are some screenshots: http://www.computerfreak.de/sonic/x2shots/

Thanks for your help,
Holger
_______________________________________________
X2Go-Dev mailing list
X2Go-Dev@lists.berlios.de
https://lists.berlios.de/mailman/listinfo/x2go-dev


----- Ende der weitergeleiteten Nachricht -----


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#16; Package x2goagent. (Thu, 20 Sep 2012 08:18:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Armin Krieg <armin.krieg@muehlenmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 20 Sep 2012 08:18:01 GMT) Full text and rfc822 format available.

Message #10 received at 16@bugs.x2go.org (full text, mbox):

From: Armin Krieg <armin.krieg@muehlenmail.com>
To: 16@bugs.x2go.org
Subject: The same on OpenSuse 12.2
Date: Thu, 20 Sep 2012 10:15:41 +0200
Hi!

 The same happens on my machine after upgrading from OpenSuSE 12.1 to 12.2.
 QT-Programs seem to be less affected than GTK-Programs and Gnome in
particular.

lg. Armin

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#16; Package x2goagent. (Thu, 20 Sep 2012 23:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 20 Sep 2012 23:18:02 GMT) Full text and rfc822 format available.

Message #15 received at 16@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 16@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Broken glyphs issue will be solved with next nx-libs release (3.5.0.15)
Date: Fri, 21 Sep 2012 01:16:37 +0200
[Message part 1 (text/plain, inline)]
tags #16 pending
thanks

Hi all,

The below commit fixes the reported issues with broken glyphs after  
resuming an NX based X2Go session. Alex spent two days on debugging  
this issue. Many thanks for giving your time to this issue, Alex!!!
http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=f6adfd1fa2d5afc98166486b905305ad718853d1

The nx-libs packages will be released during next week (3.5.0.15).  
Testing+feedback is welcome!!!

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 20 Sep 2012 23:18:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#16; Package x2goagent. (Fri, 21 Sep 2012 08:17:52 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 21 Sep 2012 08:17:52 GMT) Full text and rfc822 format available.

Message #22 received at 16@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 16@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Fixed in release nx-libs 3.5.0.15
Date: Fri, 21 Sep 2012 10:17:20 +0200
[Message part 1 (text/plain, inline)]
tags #16 fixed
close #16
thanks

Fixed in release nx-libs 3.5.0.15.

nx-libs (2:3.5.0.15-0) unstable; urgency=low

  [ Mike Gabriel ]
  * Improve 020_add-nxagent-wrapper.full.patch: Properly set NX_TEMP, make
    sure nxagent launches even with pam_tmpdir.so being in use.
  * Improve 023_add-x2goagent-wrapper.full.patch: Properly set NX_TEMP, make
    sure x2goagent launches even with pam_tmpdir.so being in use.
  * Add VERSION.x2goagent to package x2goagent package so x2goversion command
    lists up x2goagent in the list of X2Go server-side packages.
  * Refresh patch: 200_nxagent_check-binary-x2go-flavour.full.patch.
  * Make sure the NX_TEMP envvar gets set in all wrapper script for all nx*
    execubles.
  * Link libNX_Xrandr to a separate location where we can provide it as
    libXrandr.
  * /debian/control:
    + Maintainer change in package: X2Go Developers  
<x2go-dev@lists.berlios.de>.
    + Priority: optional.
  * Add patch: 220_nxproxy-bind-loopback-only.full+lite.patch, adds loopback
    option to nxproxy options and forces nxproxy to bind to loopback devices
    only.

  [ Oleksandr Shneyder ]
  * Add patch: 204-nxagent_repaint-solidpict.full.patch. Fixes repainting of
    SolidFill pictures by nxagent/x2goagent on reconnects. Closes upstream
    issue #16.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
    Fri, 21 Sep 2012 10:02:16 +0200


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) fixed. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 21 Sep 2012 08:17:53 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 21 Sep 2012 08:17:53 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Fri, 21 Sep 2012 08:17:53 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#16; Package x2goagent. (Fri, 21 Sep 2012 21:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to <jameswille@capitalmanagementlenders.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 21 Sep 2012 21:18:04 GMT) Full text and rfc822 format available.

Message #33 received at 16@bugs.x2go.org (full text, mbox):

From: "Willeford, James"<jameswille@capital.com>
Subject: Waiting to hear from you
Date: Fri, 21 Sep 2012 11:08:44 -0500

Hi,


I hope this e-mail message finds you in good health and please pardon my letter of intent if it did intrude on your privacy. Your contact is based on directive from a private client Mr. John Tsang Chun-wah, based in Hong Kong who intends to invest in your Country. Your high profile position has attracted him and suits his demand. He needs someone with vast experience and capability to handle a good investment portfolio. Figures will be discussed with you as we proceed.


My client seeks to invest in public and private securities in a broad range of areas including real estate, energy, oil and gas, emerging markets and high-technology. Within the technology sector, he focuses on communications, software and digital content and services.


Following the present financial meltdown and weak economic situation in Europe, my client wouldn't want to lose his entire investments in Europe; he wishes to move them to your Country of residence with you as the investment manager. This involves bonds with HypoVereins (UniCredit) Group and La Caixa Bank of Spain.


If this is of interest; kindly provide me with your direct telephone and fax number to ease communication.


Regards,

 

James Willeford
President.
Capital Management Lenders

Bug archived. Request was from Debbugs Internal Request <git-admin@x2go.org> to internal_control@bugs.x2go.org. (Sat, 20 Oct 2012 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Sep 30 15:49:53 2014; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.